classification
Title: Landing pages in docs for standard library packages
Type: Stage: resolved
Components: Documentation Versions: Python 3.1, Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: docs@python, eric.araujo, ezio.melotti, georg.brandl, ncoghlan, orsenthil, python-dev
Priority: normal Keywords:

Created on 2011-03-29 12:31 by ncoghlan, last changed 2012-10-06 11:49 by python-dev. This issue is now closed.

Messages (7)
msg132481 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2011-03-29 12:31
http://docs.python.org/py3k/urllib errors out rather than returning an index page for the modules that are part of the urllib package.

This index page could also link to the HOWTO at http://docs.python.org/py3k/howto/urllib2.html

The following packages have the same problem:
xml, http, xmlrpc, concurrent

These ones look OK:
logging, curses, html, tkinter

These index pages don't necessarily need to be linked from the contents page, but they should exist so that manually typed URLs for these packages do something useful rather than erroring out with a 404.
msg132753 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-04-01 16:42
It works with docs.python.org/py3k/library/urllib
msg132756 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2011-04-01 16:51
That link goes to a 404 error page for me.
msg132758 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-04-01 16:54
Okay, now I understand your request: a spam package should have a page at library/spam in addition to submodules pages.  +1.
msg132760 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2011-04-01 17:06
Oh, I see the confusion - yeah, the missing "library" in the URL in my first post was just a typo. It was actually present in my test URLs (otherwise the 4 packages with landing pages wouldn't have worked).

The problem in 2.7 is smaller, since there aren't as a many packages - only xml and xmlrpc are missing landing pages in that version.
msg133717 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-04-14 06:55
The packages without a landing page on 3.2 are:
  concurrent
  xml
  urllib
  http
  xmlrpc
  
In the concurrent case the problem could be solved with redirects too, since there's only one module in the package.  The other modules could provide a landing page that lists the modules in the package. (Note that the html page only lists html.escape, so the other modules could be added there too.)
msg172186 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-10-06 11:49
New changeset 1141648fa655 by Georg Brandl in branch '3.3':
Closes #11710: create "landing pages" (/library/package.html) for those packages that have no documented content themselves, e.g. "urllib" or "http".
http://hg.python.org/cpython/rev/1141648fa655
History
Date User Action Args
2012-10-06 11:49:29python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg172186

resolution: fixed
stage: resolved
2011-04-14 23:41:43rhettingersetassignee: docs@python -> georg.brandl

nosy: + georg.brandl
2011-04-14 22:54:21orsenthilsetnosy: + orsenthil
2011-04-14 06:55:06ezio.melottisetmessages: + msg133717
2011-04-01 17:06:24ncoghlansetmessages: + msg132760
2011-04-01 16:54:17eric.araujosetmessages: + msg132758
versions: + Python 3.1, Python 2.7
2011-04-01 16:51:01ncoghlansetmessages: + msg132756
2011-04-01 16:42:41eric.araujosetnosy: + eric.araujo
messages: + msg132753
2011-04-01 16:33:03ezio.melottisetnosy: + ezio.melotti
2011-03-29 12:31:46ncoghlancreate